CREATE TABLE ar_trx_summary_hist (
    HISTORY_ID               NUMBER(18, 0),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CUSTOMER_TRX_ID          NUMBER(18, 0),
    CASH_RECEIPT_ID          NUMBER(18, 0),
    PAYMENT_SCHEDULE_ID      NUMBER(18, 0),
    PREVIOUS_HISTORY_ID      NUMBER(18, 0),
    DUE_DATE                 DATE         ,
    AMOUNT_IN_DISPUTE        NUMBER       ,
    AMOUNT_DUE_ORIGINAL      NUMBER       ,
    AMOUNT_ADJUSTED          NUMBER       ,
    COMPLETE_FLAG            VARCHAR2(4)  ,
    CUSTOMER_ID              NUMBER(18, 0),
    SITE_USE_ID              NUMBER(18, 0),
    AMOUNT_DUE_REMAINING     NUMBER       ,
    CURRENCY_CODE            VARCHAR2(120),
    TRX_DATE                 DATE         ,
    EVENT_NAME               VARCHAR2(960),
    INSTALLMENTS             NUMBER       ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    HISTORY_ID               NUMBER(18, 0),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CUSTOMER_TRX_ID          NUMBER(18, 0),
    CASH_RECEIPT_ID          NUMBER(18, 0),
    PAYMENT_SCHEDULE_ID      NUMBER(18, 0),
    PREVIOUS_HISTORY_ID      NUMBER(18, 0),
    DUE_DATE                 DATE         ,
    AMOUNT_IN_DISPUTE        NUMBER       ,
    AMOUNT_DUE_ORIGINAL      NUMBER       ,
    AMOUNT_ADJUSTED          NUMBER       ,
    COMPLETE_FLAG            VARCHAR2(4)  ,
    CUSTOMER_ID              NUMBER(18, 0),
    SITE_USE_ID              NUMBER(18, 0),
    AMOUNT_DUE_REMAINING     NUMBER       ,
    CURRENCY_CODE            VARCHAR2(120),
    TRX_DATE                 DATE         ,
    EVENT_NAME               VARCHAR2(960),
    INSTALLMENTS             NUMBER       ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ar_trx_summary_hist PRIMARY KEY (HISTORY_ID, HISTORY_ID)
);
